TipAdjust
POST
/v2/Payment/TipAdjustTipAdjust is used to add or modify a tip on a previously processed sale transaction. All the responses have GeneralResponse section that informs about successful result or error. See Error Codes and Messages.
Body Parameters
Amount*
numberTipAmount*
numberPaymentType*
enumReferenceId*
stringMerchantNumber
numberGetExtendedData
booleanIsReadyForIS
booleanCallbackInfo
Url
stringReconId
stringIsvId
stringTpn
stringRegisterId
stringAuthkey
stringSPInProxyTimeout
numberCustomFields
CustomFields
objectPOST/v2/Payment/TipAdjust
1curl --location 'https://test.spinpos.net/v2/Payment/TipAdjust' \
2--header 'Content-Type: application/json' \
3--data '{
4 "CustomFields": {},
5 "Amount": 1,
6 "TipAmount": 1,
7 "PaymentType": "Credit",
8 "ReferenceId": "d6c871b6a580",
9 "MerchantNumber": "",
10 "GetExtendedData": true,
11 "IsReadyForIS": false,
12 "CallbackInfo": {
13 "Url": ""
14 },
15 "ReconId": "",
16 "IsvId": "",
17 "Tpn": "",
18 "RegisterId": "",
19 "Authkey": "",
20 "SPInProxyTimeout": ""
21}'
Response
// Awaiting response…
Sample response
{
"GeneralResponse": {
"HostResponseCode": "00",
"HostResponseMessage": "Approved",
"ResultCode": "Ok",
"StatusCode": "0000",
"Message": "Approved",
"DetailedMessage": "APPROVAL VTLMC1",
"DelayBeforeNextRequest": null
},
"Amounts": {
"TotalAmount": 1.05,
"Amount": 1,
"TipAmount": null,
"FeeAmount": 0.03,
"TaxAmount": 0.02
},
"CardData": {
"CardType": "Mastercard",
"EntryType": "ChipContactless",
"Last4": "4111",
"First4": "5413",
"BIN": "541333",
"ExpirationDate": "1225",
"Name": "",
"CardBrand": ""
}
}